Create Resource Records Bulk
curl --request POST \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
]
}
}
]
'import requests
url = "https://api-qa.interactly.ai/integrations/v2/resource-records/bulk"
payload = [
{
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": ["<string>"],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": ["5eb7cf5a86d9755df3a6c593"]
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
logicalId: '<string>',
integrationId: '5eb7cf5a86d9755df3a6c593',
config: {
type: 'practitioners',
organizationId: '<string>',
id: '<string>',
npi: '<string>',
name: '<string>',
gender: '<string>',
avatar: '<string>',
summary: '<string>',
qualification: '<string>',
education: '<string>',
supervisorId: '5eb7cf5a86d9755df3a6c593',
status: 'active',
languages: ['<string>'],
specialties: [{name: '<string>', code: '<string>'}],
locations: [{locationId: '<string>', locationName: '<string>'}],
workingHours: {
mon: [{start: '<string>', end: '<string>'}],
tue: [{start: '<string>', end: '<string>'}],
wed: [{start: '<string>', end: '<string>'}],
thu: [{start: '<string>', end: '<string>'}],
fri: [{start: '<string>', end: '<string>'}],
sat: [{start: '<string>', end: '<string>'}],
sun: [{start: '<string>', end: '<string>'}]
},
preferred_visiting_reasons: ['5eb7cf5a86d9755df3a6c593']
}
}
])
};
fetch('https://api-qa.interactly.ai/integrations/v2/resource-records/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_created": 123,
"total_errors": 123,
"results": [
{
"status": "<string>",
"record": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
],
"recordSource": "from_upstream"
}
},
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations Resource Records V2
Create Resource Records Bulk
POST
/
integrations
/
v2
/
resource-records
/
bulk
Create Resource Records Bulk
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Body
application/json
Unique identifier for the integration resource record
Reference to the associated integration
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Configuration for Athena Practitioners resource records.
- Practitioners
- Locations
- Visiting Reasons
- Patients
- Appointments
- Appointment Type
- Visit Status
- Insurance Payers
- Outreach
Show child attributes
Show child attributes
Response
Successful Response
Ordered response for bulk creation of resource records. Each entry corresponds to the input order, with status, created record, or error.
Total number of records successfully created.
Total number of records that failed to create.
Ordered list of creation results (created or failed) for each input record.
Show child attributes
Show child attributes
⌘I